{% set url = path('ads_show', {'slug':ad.slug}) %}

                <div class="col-md-4">
                    <div class="card bg-light mb-3">
                        <div class="card-header text-center">
                            {{ ad.rooms }} chambres, <strong>{{ad.price | number_format(2, ',', ' ')}} € / nuit</strong> <br>

                            {% if ad.comments|length > 0 %}
                                {% include 'shared/rating.html.twig' with {'rating': ad.avgRatings} %}
                            {% else %}
                                <small>Pas encore noté</small>
                            {% endif %}<br>
                            {{ ad.address.city }}
                        </div>

                        <a href="{{ url }}">
                            <img src={{ad.coverImage}} class="principalimage" alt="Image de l'appartement"
                            style="height: 200px; width: 100%; display: block">
                        </a>

                        <div class="card-body">
                            <h4 class="card-title">
                                <a href="{{ url }}" class="card-title-link">
                                    <span>{{ad.title|truncate(15)}}</span>
                                    <span>{{ad.author.firstname}} vous souhaite la bienvenue</span>
                                </a>
                                <hr>
                            </h4>
                            <p class="card-text">{{ad.introduction|truncate(65)}}</p>
                            <a href="{{ url }}" class="btn btn-primary float-right">En savoir plus !</a>
                             {% if app.user and app.user == ad.author %}
                                <a href="{{ path('ads_edit', {'slug': ad.slug}) }}" class="btn btn-secondary">Modifier l'annonce</a>
                            {% endif %}
                        </div>
                    </div>
                </div>